# ****************************************************** {COPYRIGHT-TOP} ***
# Licensed Materials - Property of IBM
# 5724-M07, 5698-A77
#
# (C) Copyright IBM Corp. 2006 All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication, or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# ****************************************************** {COPYRIGHT-END} ***
#!/usr/bin/sh
################## subroutine definitions ###############

find_KD4_home() {
    KD4_CONFIG="/etc/KD4BaseDirConfig.properties"
    if [ -f "$KD4_CONFIG" ]
    then
       . $KD4_CONFIG
       if [ -d "$INSTALLDIR" ]
       then
           echo "KD4 Home Dir = $INSTALLDIR"
           export INSTALLDIR
       else
           echo "Error: $INSTALLDIR not found" 
           rc=111
       fi
    else
        echo "Error: $KD4_CONFIG not found"
        rc=111
    fi
}


######################## mainline ######################


find_KD4_home

if [ -f "$INSTALLDIR/KD4/ibmjava142/jre/bin/java" ] ; then
   JAVA_HOME=$INSTALLDIR/KD4/ibmjava142/jre
else
   JAVA_HOME=$INSTALLDIR/KD4/ibmjava142
fi

export JAVA_HOME

DPDC_JARFILE=$INSTALLDIR/KD4/lib/kd4dpdcagent.jar
JAVA_OPTS="-Djava.protocol.handler.pkgs=com.ibm.net.ssl.www.protocol"
DPDC_CLASS=com.ibm.management.soa.agent.dp.ITMDPDataCollector
DPDC_CONFIG=$INSTALLDIR/KD4/config/KD4.dpdcConfig.properties

$JAVA_HOME/bin/java $JAVA_OPTS -cp $DPDC_JARFILE $DPDC_CLASS $DPDC_CONFIG


exit $rc;

